For the complete documentation index, see llms.txt. This page is also available as Markdown.

卡用户

与持卡人相关的 API 接口。

示例代码位于 Github

创建用户

使用身份信息创建持卡人

POST https://api.musepay.io/v1/carduser/create

请求 Body

名称
类型
说明

user_xid*

String

外部标识符,在合作伙伴下唯一。

user_name

String

用户账户昵称,为便于阅读的非唯一账户名称

email*

String

持卡人电子邮箱地址

individual*

Object

个人持卡人身份信息。

individual.first_name*

String

持卡人的名

individual.last_name*

String

持卡人的姓

individual.date_of_birth*

String

出生日期(YYYY-MM-DD)

individual.occupation

String

持卡人职业。

individual.annual_income

String

以卡片币种计算的持卡人年收入

document*

Object

政府签发的身份证件信息

document.type*

String

1 或 2,枚举值请参见证件类型

document.number*

String

身份证件号码。

document.country*

String

身份证件签发国,格式为 ISO 3166-1 alpha-2

document.expiry_date*

String

身份证件有效期(YYYY-MM-DD)

document.front*

String

证件正面文件,使用 data URI Base64 编码格式。

身份证件接受以下 MIME 类型: image/jpeg, image/png。

document.back

String

证件背面文件,使用 data URI Base64 编码格式。

document.face

String

自拍照片文件,使用 data URI Base64 编码格式。

身份证件接受以下 MIME 类型: image/jpeg, image/png。

address

Object

配送地址

address.country

String

证件配送国家,格式为 ISO 3166-1 alpha-2

address.city

String

配送城市

address.post_code

String

配送邮政编码

address.details

String

详细配送地址

代码示例

通过 KYC 链接创建用户

通过 KYC 链接创建持卡人

POST https://api.musepay.io/v1/carduser/create-with-kyc-link

请求 Body

名称
类型
说明

email*

String

持卡人电子邮箱地址

user_xid*

String

外部标识符,在合作伙伴下唯一。

user_name

String

用户账户昵称,为便于阅读的非唯一账户名称

获取用户 KYC 链接

获取用户的 KYC 链接

POST https://api.musepay.io/v1/carduser/kyc-link

请求 Body

名称
类型
说明

user_xid*

String

外部标识符,在合作伙伴下唯一。

level_name

String

LEVEL-1 或 LEVEL-2。 默认值为 LEVEL-1。

获取用户

根据提供的搜索条件获取持卡人集合

POST https://api.musepay.io/v1/carduser/query

请求 Body

名称
类型
说明

user_id

String

phone_number

String

email

String

user_xid*

String

响应字段

名称
类型
说明

kyc_level

String

持卡人当前的 KYC 等级。

上传用户 KYC

上传用户 KYC 信息

POST https://api.musepay.io/v1/carduser/upload-kyc

请求 Body

名称
类型
说明

user_xid*

String

外部标识符,在合作伙伴下唯一。

individual*

Object

个人持卡人身份信息。

individual.first_name*

String

持卡人的名

individual.last_name*

String

持卡人的姓

individual.date_of_birth*

String

出生日期(YYYY-MM-DD)

individual.occupation

String

持卡人职业。

individual.annual_income

String

以卡片币种计算的持卡人年收入

document*

Object

政府签发的身份证件信息

document.type*

String

1 或 2,枚举值请参见证件类型

document.number*

String

身份证件号码。

document.country*

String

身份证件签发国,格式为 ISO 3166-1 alpha-2

document.expiry_date*

String

身份证件有效期(YYYY-MM-DD)

document.front*

String

证件正面文件,使用 data URI Base64 编码格式。

身份证件接受以下 MIME 类型: image/jpeg, image/png。

document.back

String

证件背面文件,使用 data URI Base64 编码格式。

address

Object

配送地址

address.country

String

证件配送国家,格式为 ISO 3166-1 alpha-2

address.city

String

配送城市

address.post_code

String

配送邮政编码

address.details

String

详细配送地址

修改用户电子邮箱

POST https://api.musepay.io/v1/carduser/change-email

更新用户电子邮箱时,如果用户已有卡片,卡片关联的电子邮箱也会同步更新。

请求 Body

名称
类型
说明

user_id

String

用户唯一 ID

email

String

持卡人的新电子邮箱地址

响应

最后更新于